Bug 9500 - internet connection settings aren't followed if 2 APs configured
: internet connection settings aren't followed if 2 APs configured
Status: RESOLVED WONTFIX
Product: Connectivity
General
: 5.0/(3.2010.02-8)
: N900 Maemo
: Unspecified normal with 8 votes (vote)
: ---
Assigned To: unassigned
: connectivity-general-bugs
:
:
: int-160207
:
  Show dependency tree
 
Reported: 2010-03-11 21:42 UTC by ossipena
Modified: 2011-02-07 12:02 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description ossipena (reporter) 2010-03-11 21:42:53 UTC
SOFTWARE VERSION:
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. have two gprs/3g access points configured (fMMS)
2. set the data access point as the connection that is connected automatically
3. reboot or do something similar

EXPECTED OUTCOME:
selected ap is activated and connected
ACTUAL OUTCOME:
the other ap is activated and connected
REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)
always, 5/5

EXTRA SOFTWARE INSTALLED:
fapn plus a lot stuff from extras testing

OTHER COMMENTS:
this bug could be also assigned to fAPN because multiple 3g aps can't be
configured by default
User-Agent:       Mozilla/5.0 (X11; U; Linux armv7l; fi-FI; rv:1.9.2a1pre)
Gecko/20091127 Firefox/3.5 Maemo Browser 1.5.6 RX-51 N900
Comment 1 Andre Klapper maemo.org 2010-03-12 15:44:14 UTC
(In reply to comment #0)
> 1. have two gprs/3g access points configured (fMMS)

s/fMMS/fAPN ? :-)

Sounds a bit similar to bug 9476 and might have the same underlying issue.
Comment 2 ossipena (reporter) 2010-03-12 18:10:58 UTC
yes apn is created with fAPN and the mechanism is probably same than in bug
Andre mentioned. I have the right (original) apn visible in settings. The other
(created with fAPN) that is automatically connected isn't visible but still is
the primary apn that is connected always when I drop out from wlan or reboot.
Comment 3 Venomrush 2010-03-17 01:10:43 UTC
*** This bug has been confirmed by popular vote. ***
Comment 4 ossipena (reporter) 2010-03-27 00:19:32 UTC
I am not completely sure if this is relevant at all, but joikuspot seems to
give only one option for the connection and it is the same mms apn that is
connected automatically (and unwanted) mentioned above.
Comment 5 ossipena (reporter) 2010-04-16 21:39:10 UTC
I need someone to confirm a method I tried that seems to work and fix the
issue.

I created an APN with fAPN that I named "├ÂMMS". At least now when I left wifi
coverage, the correct apn fired up instead of the usual mms apn called "mms".

It could also be alphapetical or then umlaut screws things to the better.
Comment 6 ossipena (reporter) 2010-04-16 21:41:15 UTC
sorry for the spam but forgot this: my internet apn is called "Saunalahti
Internet". So "mms" is in front when sorting alphabetically.
Comment 7 ossipena (reporter) 2010-04-19 16:09:32 UTC
I further can confirm my theory: newest fMMS creates an apn called MMS with
certain settings and again the mms apn is the one that fires up after reboot,
dropping out wlan etc. Hope someone else could test this too!
Comment 8 Nicky 2010-05-26 23:40:25 UTC
I am new to the N900 and the first thing I installed with FMMS and FAPN and
this issue happens with me constantly.

whenever connection is lost or the phone restarted, MMS is the connection it
connects to despite selecting my Rogers Internet connection to connect
automatically.
Comment 9 ossipena (reporter) 2010-05-27 00:11:36 UTC
(In reply to comment #8)
> I am new to the N900 and the first thing I installed with FMMS and FAPN and
> this issue happens with me constantly.
> 
> whenever connection is lost or the phone restarted, MMS is the connection it
> connects to despite selecting my Rogers Internet connection to connect
> automatically.
> 
try renaming MMS apn to ZMMS for example(anything after R like Rogers at
alphabeta). if it works, reply here and you help proving my theory.
Comment 10 Nicky 2010-05-27 00:35:29 UTC
Thanks that did work. It selected my default internet provider APN.
Comment 11 ravi.dhupar 2010-05-28 06:22:19 UTC
(In reply to comment #8)
> I am new to the N900 and the first thing I installed with FMMS and FAPN and
> this issue happens with me constantly.
> 
> whenever connection is lost or the phone restarted, MMS is the connection it
> connects to despite selecting my Rogers Internet connection to connect
> automatically.
> 

I am having the same issue. It automatically connects to my MMS even after
naming it 'ZMMS'. My current APN name is '3 Services'
Comment 12 ossipena (reporter) 2010-05-28 07:11:39 UTC
> I am having the same issue. It automatically connects to my MMS even after
> naming it 'ZMMS'. My current APN name is '3 Services'
> 

what about naming MMS apn to '4MMS'?
Comment 13 ravi.dhupar 2010-05-28 07:24:21 UTC
Tried the /opt/fmms/fmms_config.py on xterminal and it seems to have fixed. I
had tried it earlier but for some reason, it did not work but tried it after
rebooting and it seems to have fixed the issue.

PS: Sorry I am not technically minded enough to know what that command does but
it does seem to fix it.
Comment 14 Andre Klapper maemo.org 2010-08-25 15:53:11 UTC
Resolving as WONTFIX as bug 9476 is WONTFIX too. :-/

For your info: The Maemo 5 platform components are considered stable by Nokia.
Only major issues have a chance of being addressed by Nokia.
MeeGo Handset is where the unstable development is taking place. If you are a
developer (not a "normal" end-user) feedback about MeeGo Handset User Interface
issues is specially welcome, e.g. via the MeeGo bugtracker at
https://bugs.meego.com